Package org.eclipse.e4.ui.css.core.impl.engine

# Class CSSEngineImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.engine.AbstractCSSEngine
org.eclipse.e4.ui.css.core.impl.engine.CSSEngineImpl

All Implemented Interfaces:
  `CSSEngine`

Direct Known Subclasses:
  `AbstractCSSSWTEngineImpl`

public abstract class CSSEngineImpl extends AbstractCSSEngine

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.w3c.css.sac.ConditionFactory`
`CONDITIONFACTORY_INSTANCE`

### Fields inherited from class org.eclipse.e4.ui.css.core.impl.engine.AbstractCSSEngine

`computeDefaultStyle, propertyHandlerProviders`

## Constructor Summary

Constructors
Constructor
Description
`CSSEngineImpl()`
`CSSEngineImpl(ExtendedDocumentCSS documentCSS)`

## Method Summary

Modifier and Type
Method
Description
`CSSParser`
`makeCSSParser()`
Return instance of CSS Parser.
`void`
`registerCSSProperty(String propertyName, Class<? extends ICSSPropertyHandler> propertyHandlerClass)`
`void`
`registerCSSPropertyHandler(Class<?> cl, ICSSPropertyHandler handler)`
`void`
`registerPackage(String packageName)`

### Methods inherited from class org.eclipse.e4.ui.css.core.impl.engine.AbstractCSSEngine

`applyCSSProperty, applyDefaultStyleDeclaration, applyDefaultStyleDeclaration, applyInlineStyle, applyStyleDeclaration, applyStyles, applyStyles, convert, convert, dispose, getCSSCompositePropertiesNames, getCSSElementContext, getCSSProperties, getCSSPropertyHandlers, getCSSValueConverter, getDefaultStyleDeclaration, getDefaultStyleDeclaration, getDocumentCSS, getElement, getElementProvider, getElementsContext, getErrorHandler, getNativeWidget, getResourcesLocatorManager, getResourcesRegistry, getStaticPseudoInstances, getViewCSS, handleExceptions, handleWidgetDisposed, hookNativeWidget, isVisible, matches, onStylesAppliedToChildNodes, parseAndApplyStyleDeclaration, parseAndApplyStyleDeclaration, parseAndApplyStyleDeclaration, parseAndApplyStyleDeclaration, parsePropertyValue, parsePropertyValue, parsePropertyValue, parsePropertyValue, parseSelectors, parseSelectors, parseSelectors, parseSelectors, parseStyleDeclaration, parseStyleDeclaration, parseStyleDeclaration, parseStyleDeclaration, parseStyleSheet, parseStyleSheet, parseStyleSheet, registerCSSPropertyHandlerProvider, registerCSSValueConverter, reset, retrieveCSSProperty, setElementProvider, setErrorHandler, setResourceRegistryKeyFactory, setResourcesLocatorManager, setResourcesRegistry, unregisterCSSPropertyHandlerProvider, unregisterCSSValueConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.e4.ui.css.core.engine.CSSEngine

`reapply`

## Field Details

### CONDITIONFACTORY_INSTANCE

public static final org.w3c.css.sac.ConditionFactory CONDITIONFACTORY_INSTANCE

## Constructor Details

### CSSEngineImpl

public CSSEngineImpl()

### CSSEngineImpl

public CSSEngineImpl(ExtendedDocumentCSS documentCSS)

## Method Details

### makeCSSParser

public CSSParser makeCSSParser()
Description copied from class: `AbstractCSSEngine`
Return instance of CSS Parser.

Specified by:
  `makeCSSParser` in class `AbstractCSSEngine`

### registerCSSPropertyHandler

public void registerCSSPropertyHandler(Class<?> cl, ICSSPropertyHandler handler)

### registerCSSProperty

public void registerCSSProperty(String propertyName, Class<? extends ICSSPropertyHandler> propertyHandlerClass)

### registerPackage

public void registerPackage(String packageName)